-- 创建解析任务存储库表
-- 用于存储数据解析任务的相关信息

-- 创建解析任务存储库表
CREATE TABLE IF NOT EXISTS parse_task_repository (
    id SERIAL PRIMARY KEY,
    task_name VARCHAR(100) NOT NULL,
    task_status VARCHAR(10) NOT NULL,
    task_type VARCHAR(50) NOT NULL,
    task_source VARCHAR(300) NOT NULL,   
    collection_count INTEGER NOT NULL DEFAULT 0,
    parse_count INTEGER NOT NULL DEFAULT 0,
    parse_result JSONB,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
    created_by VARCHAR(50) NOT NULL,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by VARCHAR(50) NOT NULL
);

-- 添加表注释
COMMENT ON TABLE parse_task_repository IS '解析任务存储库表，用于存储数据解析任务的相关信息';
COMMENT ON COLUMN parse_task_repository.id IS '主键ID';
COMMENT ON COLUMN parse_task_repository.task_name IS '任务名称';
COMMENT ON COLUMN parse_task_repository.task_status IS '任务状态';
COMMENT ON COLUMN parse_task_repository.task_type IS '任务类型,包含：名片，简历，门墩儿新任命，门墩儿招聘，杂项';
COMMENT ON COLUMN parse_task_repository.task_source IS '任务来源';
COMMENT ON COLUMN parse_task_repository.collection_count IS '采集人数';
COMMENT ON COLUMN parse_task_repository.parse_count IS '解析人数';
COMMENT ON COLUMN parse_task_repository.parse_result IS '解析结果，JSON格式';
COMMENT ON COLUMN parse_task_repository.created_at IS '创建时间';
COMMENT ON COLUMN parse_task_repository.created_by IS '创建者';
COMMENT ON COLUMN parse_task_repository.updated_at IS '操作时间';
COMMENT ON COLUMN parse_task_repository.updated_by IS '操作者';
